﻿//////////////////////////////////////////////
// ThreadSubmittedWorkWrapper.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../../Dll/DllDefines.h"

// nkScripts
#include <NilkinsScripts/Environments/Functions/Function.h>

/// Class ------------------------------------

namespace nkAstraeus::lua::nkTasksWrap
{
	class DLL_ASTRAEUS_EXPORT ThreadSubmittedWorkWrapper final
	{
		private :

			// Constructeur, destructeur
			ThreadSubmittedWorkWrapper () = delete ;
			~ThreadSubmittedWorkWrapper () = delete ;

		public :

			// Env
			static void updateEnvironment (nkScripts::Environment* env) ;

			// Destructeur
			static void destructor (void* toDestroy) ;

			// Contrôle flow
			static nkScripts::OutputValue cancel (const nkScripts::DataStack& stack) ;
	} ;
}