﻿//////////////////////////////////////////////
// BmpBitFieldCompressor.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkImages
{
	class BmpDibHeader ;

	struct AlignmentDescriptor ;
}

/// Includes ---------------------------------

// nkMemory
#include <NilkinsMemory/Containers/Buffer.h>
#include <NilkinsMemory/Containers/BufferView.h>

/// Class ------------------------------------

namespace nkImages
{
	class BmpBitFieldCompressor final
	{
		private :

			// Constructor, destructor
			BmpBitFieldCompressor () = delete ;
			~BmpBitFieldCompressor () = delete ;

		public :

			// Compression

			// Decompression
			static nkMemory::Buffer decompress (const BmpDibHeader& header, const nkMemory::BufferView<unsigned char>& data, const AlignmentDescriptor& alignmentDescriptor) ;
	} ;
}