﻿//////////////////////////////////////////////
// PixelFormat.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Class ------------------------------------

namespace nkImages
{
	enum class PIXEL_FORMAT
	{
		UNKNOWN_FORMAT = 0,
		R8G8B8,
		R8G8B8A8
	} ;

	class PixelFormatUtils final
	{
		private :

			// Constructor, destructor
			PixelFormatUtils () = delete ;
			~PixelFormatUtils () = delete ;

		public :

			// Conversions
			static unsigned int getFormatByteSize (PIXEL_FORMAT format) ;
	} ;
}