﻿//////////////////////////////////////////////
// ConsoleLogger.h
//
//////////////////////////////////////////////

/// Defines, macros --------------------------

#pragma once

/// Includes ---------------------------------

// nkLog
#include "Dll/DllDefines.h"

#include "Logger.h"

/// Class ------------------------------------
	
namespace nkLog
{
	class DLL_LOG_EXPORT ConsoleLogger final : public Logger
	{			
		public :
		
			// Constructeur, destructeur
			ConsoleLogger () ;
			~ConsoleLogger () ;

			// Action
			virtual void log (const std::string_view& message, const std::string_view& className) override ;
	} ;
}