﻿//////////////////////////////////////////////
// ScriptObjectView.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class ScriptObjectInterpreterView ;
}

/// Includes ---------------------------------

// Standards
#include <functional>

/// Class ------------------------------------

namespace nkScripts
{
	class ScriptObjectView final
	{
		public :

			// Attributes
			// De quoi reconstruire une vraie référence
			// Dédié aux user data, pour ne pas tenir de "dangling" référence dans les paramètres de fonctions
			ScriptObjectInterpreterView* _view ;

		public :

			// Constructeur, destructeur
			ScriptObjectView () ;
			~ScriptObjectView () ;

			// Utils
			void reset (ScriptObjectInterpreterView* view) ;
	} ;
}