﻿//////////////////////////////////////////////
// Constants.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// Standards
#include <string>

/// Class ------------------------------------

namespace nkAstraeus::lua::nkMathsWrap
{
	struct Constants
	{
		// Namespace
		inline static const std::string NAMESPACE = "nkMaths" ;

		// UserTypes
		// Algebra
		inline static const std::string QUATERNION = NAMESPACE + "::Quaternion" ;
		inline static const std::string VECTOR = NAMESPACE + "::Vector" ;
		inline static const std::string VECTOR_BUFFER_CAST = NAMESPACE + "::BufferCastVector" ;
		inline static const std::string VECTOR_BUFFER_VIEW = NAMESPACE + "::BufferViewVector" ;
	} ;
}